%global fontname google-droid

%global download_root http://android.git.kernel.org/?p=platform/frameworks/base.git;a=blob_plain;f=data/fonts/

%global common_desc \
The Droid typeface family was designed in the fall of 2006 by Ascender's \
Steve Matteson, as a commission from Google to create a set of system fonts \
for its Android platform. The goal was to provide optimal quality and comfort \
on a mobile handset when rendered in application menus, web browsers and for \
other screen text.

Name:    %{fontname}-fonts
# No sane versionning upstream, use the most recent file datestamp
Version: 20100409
Release: %mkrel 3
Summary: General-purpose fonts released by Google as part of Android

Group:     System/Fonts/True type 
License:   ASL 2.0
URL:       http://android.git.kernel.org/?p=platform/frameworks/base.git;a=tree;f=data/fonts
Source0:   %{download_root}NOTICE
Source1:   %{download_root}README.txt
Source10:  %{download_root}DroidSans.ttf
Source11:  %{download_root}DroidSans-Bold.ttf
Source12:  %{download_root}DroidSansJapanese.ttf
#DroidSansFallbackLegacy.ttf is an old version with less coverage
Source13:  %{download_root}DroidSansFallback.ttf
Source14:  %{download_root}DroidSansArabic.ttf
Source15:  %{download_root}DroidSansHebrew.ttf
Source16:  %{download_root}DroidSansThai.ttf
Source20:  %{download_root}DroidSansMono.ttf
Source30:  %{download_root}DroidSerif-Regular.ttf
Source31:  %{download_root}DroidSerif-Bold.ttf
Source32:  %{download_root}DroidSerif-Italic.ttf
Source33:  %{download_root}DroidSerif-BoldItalic.ttf
Source41:  %{name}-sans-fontconfig.conf
Source42:  %{name}-sans-mono-fontconfig.conf
Source43:  %{name}-serif-fontconfig.conf


BuildArch:     noarch
BuildRequires: fontpackages-devel

%description
%common_desc


%package -n %{fontname}-sans-fonts
Summary:   A humanist sans serif typeface
Requires:  fontpackages-filesystem
Obsoletes: %{name}-common <= 20090906-5.fc12

%description -n %{fontname}-sans-fonts
%common_desc

Droid Sans is a humanist sans serif typeface designed for user interfaces and
electronic communication.

%_font_pkg -n sans -f ??-%{fontname}-sans.conf DroidSans.ttf DroidSans-Bold.ttf DroidSansArabic.ttf DroidSansHebrew.ttf DroidSansJapanese.ttf DroidSansThai.ttf DroidSansFallback.ttf
%doc *.txt

%package -n %{fontname}-sans-mono-fonts
Summary:  A humanist monospace sans serif typeface
Requires: fontpackages-filesystem

%description -n %{fontname}-sans-mono-fonts
%common_desc

Droid Sans Mono is a humanist monospace sans serif typeface designed for user
interfaces and electronic communication.

%_font_pkg -n sans-mono -f ??-%{fontname}-sans-mono.conf DroidSansMono.ttf
%doc *.txt

%package -n %{fontname}-serif-fonts
Summary:  A contemporary serif typeface
Requires: fontpackages-filesystem

%description -n %{fontname}-serif-fonts
%common_desc

Droid Serif is a contemporary serif typeface family designed for comfortable
reading on screen. Droid Serif is slightly condensed to maximize the amount of
text displayed on small screens. Vertical stress and open forms contribute to
its readability while its proportion and overall design complement its
companion Droid Sans.

%_font_pkg -n serif -f ??-%{fontname}-serif.conf DroidSerif*ttf
%doc *.txt

%prep
%setup -q -c -T
install -m 0644 -p %{SOURCE0} notice.txt
install -m 0644 -p %{SOURCE1} readme.txt


%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}

install -m 0644 -p  %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} \
                    %{SOURCE14} %{SOURCE15} %{SOURCE16} \
                    %{SOURCE20} \
                    %{SOURCE30} %{SOURCE31} %{SOURCE32} %{SOURCE33}\
                    %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE41} \
        %{buildroot}%{_fontconfig_templatedir}/65-%{fontname}-sans.conf
install -m 0644 -p %{SOURCE42} \
        %{buildroot}%{_fontconfig_templatedir}/60-%{fontname}-sans-mono.conf
install -m 0644 -p %{SOURCE43} \
        %{buildroot}%{_fontconfig_templatedir}/59-%{fontname}-serif.conf

for fontconf in 65-%{fontname}-sans.conf \
                60-%{fontname}-sans-mono.conf \
                59-%{fontname}-serif.conf ; do
  ln -s %{_fontconfig_templatedir}/$fontconf \
        %{buildroot}%{_fontconfig_confdir}/$fontconf
done


%clean
rm -fr %{buildroot}




%changelog

* Fri Mar 02 2012 yochenhsieh <yochenhsieh> 20100409-3.mga2
+ Revision: 216688
- Modify fontconfig rules to deal with Chinese font fallback problem (mga #751)

* Sun Mar 13 2011 dmorgan <dmorgan> 20100409-2.mga1
+ Revision: 70886
- imported package google-droid-fonts

